/* home.footer.js */
/* - - - - - - - - - - - - - - - - - - - - - - - - */
/* &copy;1999-2024 W. Dwyne */

/* exported attrs, mouseOver, mouseOut */
/* jshint curly: true */
/* jshint esversion: 6 */
/* jshint latedef: true */
/* jshint maxerr:10  */
/* jshint trailingcomma: true */
/* jshint nonew: true */
/* jshint undef: true */
/* jshint unused: true */


/* Note: This script should be placed at the END/BOTTOM right before </body> */

/* <script src="../../java/home-footer.js" */
/*       defer></script><!-- Home on ESC + Auto updating footer + file date  */
/* </body> */

/* AND at the TOP, right below the <body> insert your noscript code  */
/* <body> */
/* <noscript><span class="bold */
/* italic">! JavaScript disabled. Some functions not available !</span></noscript> */


/* Note: Two Simple scripts, took quite a bit of time and effort to make them simple! */

/* This script has two functions   1: Displays file date when hovvering over footer */
/*                                 2: Branch to HOME screen when ESC is pressed */

/* # 1 FOOTER */
/*                  FOOTER - -       HTML required code example */

/*  <footer class="footer">
/*    <a href="#"
/*            onmouseover="mouseOver()" */
/*            onmouseout="mouseOut()" */
/*            title="|Click for EULA" */
/*            target="_self"*/
/*            onclick="window.open('eula.htm','_blank ','width=500,height=400'); */
/*             return*/
/*             false;">&copy;1999<span id="year"></span> W. T. Dwyne <span id="doc-date" */
/*          class="smallest"></span></a> */
/*  </footer> */
//
function footer() {
	document.getElementById("year").innerHTML = "-"+ new Date().getFullYear();
}
document.onload = footer();

function mouseOver() {
	document.getElementById("doc-date")
	.innerHTML = "| File Date "+ document.lastModified +" |";
}
/*  .innerHTML = "| File Date "+ document.lastModified.split(" ")[0] +" |"; date only */

function mouseOut() {
	document.getElementById("doc-date")
	.innerHTML = "";
}
/* # 2 HOME */
/*                  HOME - -       HTML required code example */
/*    <a id="home"*/
/*    href="index.htm"*/
/*    title="Home Page">&#127968;&nbsp;Home</a> /* Return to Home Page  */

/* alert("javascript footer is active!"); */
/* Note: keydown at times requires two clicks, keyup solves the keydown problem */

function home() {
	document.addEventListener('keyup', event =>
		{
			if (event.key == 'Escape') {
				document.getElementById("home").click();
			}
		}
	);
}
document.onload = home();

/* End */